return {
    {'vimwiki/vimwiki'},
	{'tpope/vim-fugitive'},
	{'gorkunov/smartpairs.vim'},
	{'tpope/vim-surround'},
	{'echasnovski/mini.ai',
     config = function()
         require('mini.ai').setup()
     end},
    {'jiangmiao/auto-pairs'},
    {'github/copilot.vim', 
        config = function()
           vim.keymap.set('i', '<C-J>', 'copilot#Accept("\\<CR>")', { expr = true, replace_keycodes = false }) 
           vim.keymap.set('i', '<C-L>', '<Plug>(copilot-accept-word)')
           vim.keymap.set('i', '<PageDown>', '<Plug>(copilot-previous)')
           vim.keymap.set('i', '<PageUp>', '<Plug>(copilot-next)')
           vim.keymap.set('i', '<Home>', '<Plug>(copilot-suggest)')
           vim.keymap.set('i', '<M-Left>', '<esc>dawi<Right>')
           vim.g.copilot_no_tab_map=true
        end
    },
    {'mattn/emmet-vim',
        ft = { 'html', 'css', 'javascript', 'typescript', 'vue' },
    }
}
